- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Register deployed resources from terraform state file with App Hub.
HTTP request
POST https://designcenter.googleapis.com/v1alpha/{parent=projects/*/locations/*/spaces/*}:registerDeployedResources
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent space. Format: projects/{project}/locations/{location}/spaces/{space} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "apphubApplication": string, "serviceAccount": string, // Union field |
| Fields | |
|---|---|
apphubApplication |
Required. The name of the AppHub Application. Format: projects/{project}/locations/{location}/applications/{application} |
serviceAccount |
Optional. The optional Service Account (SA) to use for calling AppHub APIs during registration. If not provided, the End-User Credentials (EUC) will be used. If provided, the EUC must have the 'serviceAccountTokenCreator' role on the SA, and the SA must have the necessary permissions for AppHub registration. |
Union field tfstate_source. The Terraform state (tfstate) source. tfstate_source can be only one of the following: |
|
terraformState |
The Terraform state (tfstate) content as a raw string. For large state files exceeding 10MB, use the 'tfstateSignedGcsUri' field instead. |
tfstateSignedGcsUri |
A securely signed Cloud Storage URI pointing to the tfstate file. The URI must be signed to grant the service temporary read access to the state file. Application Design Center imposes a limit on the maximum size of the state file accessed via this URI. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
designcenter.spaces.get
For more information, see the IAM documentation.